Eine aufbereitete Darstellung der Quelle

 
     
 
 
Anforderungen  |   Konzepte  |   Entwurf  |   Entwicklung  |   Qualitätssicherung  |   Lebenszyklus  |   Steuerung
 
 
 
 

Benutzer

Quelle  lunchable

  Sprache: Python
 

Spracherkennung für: vermutete Sprache: Unknown {[0] [0] [0]} [Methode: Schwerpunktbildung, einfache Gewichte, sechs Dimensionen]

#!/bin/bash

# TODO: Currently only checks trunk_staging. Should check trunk_staging first,
#       then use the product-specfic releases. Only applies to -c though.

function Help() {
cat <<@EOF@
Usage: lunchable [options]

Lists products that have no functioning lunch combo.

options:
-c    prints all failing lunch combos for all targets;
-w    why? Prints the error message after each failed lunch combo. Only
      works with -c

@EOF@
}

complete=0
why=0
while getopts "cwh" option; do
  case $option in
    c)
      complete=1;;
    w)
      why=1;;
    h)
      Help
      exit;;
  esac
done

# Getting all named products can fail if we haven't lunched anything
source $(pwd)/build/envsetup.sh &> /dev/null
all_named_products=( $(get_build_var all_named_products 2> /dev/null) )
if [[ $? -ne 0 ]]; then
  echo "get_build_var all_named_products failed. Lunch something first?" >&2
  exit 1
fi
total_products=${#all_named_products[@]}
current_product=0

for product in "${all_named_products[@]}"; do
  (( current_product += 1 ))
  single_pass=0
  printf " Checking ${current_product}/${total_products} \r" >&2
  for release in trunk_staging; do
    for variant in eng user userdebug; do
      lunchcombo="${product}-${release}-${variant}"
      lunch_error="$(lunch $lunchcombo 2>&1 > /dev/null)"
      if [[ $? -ne 0 ]]; then
        # Lunch failed
        if [[ $complete -eq 1 ]]; then
          echo -e "${product} : ${lunchcombo}"
          if [[ $why -eq 1 ]]; then
            echo -e "$(sed 's/^/    /g' <<<$lunch_error)"
          fi
        fi
      elif [[ $complete -ne 1 ]]; then
        single_pass=1
        break # skip variant
      fi
    done
    if [[ $single_pass -eq 1 ]]; then
      break # skip release
    fi
  done
  if [[ $complete -eq 0 ]] && [[ $single_pass -eq 0 ]]; then
    echo "${product}"
  fi
done

¤ Dauer der Verarbeitung: 0.10 Sekunden  (vorverarbeitet am  2026-06-28) ¤

*© Formatika GbR, Deutschland






Wurzel

Suchen

PVS Prover

Isabelle Prover

NIST Cobol Testsuite

Cephes Mathematical Library

Vienna Development Method

Haftungshinweis

Die Informationen auf dieser Webseite wurden nach bestem Wissen sorgfältig zusammengestellt. Es wird jedoch weder Vollständigkeit, noch Richtigkeit, noch Qualität der bereit gestellten Informationen zugesichert.

Bemerkung:

Die farbliche Syntaxdarstellung und die Messung sind noch experimentell.






                                                                                                                                                                                                                                                                                                                                                                                                     


Neuigkeiten

     Aktuelles
     Motto des Tages

Software

     Quellcodebibliothek
     Eigene Quellcodes
     Fremde Quellcodes
     Suchen

Aktivitäten

     Artikel über Sicherheit
     Anleitung zur Aktivierung von SSL

Muße

     Gedichte
     Musik
     Bilder

Jenseits des Üblichen ....
    

Besucherstatistik

Besucherstatistik